Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(81)

Issue 350433003: Retry fetching patch from rietveld on a 404 (Closed)

Created:
5 years, 2 months ago by hinoka
Modified:
4 years, 10 months ago
CC:
chromium-reviews, cmp-cc_chromium.org, iannucci+depot_tools_chromium.org, ilevy-cc_chromium.org
Visibility:
Public.

Description

Retry fetching patch from rietveld on a 404 Also added a tiny bit of exponential backoff. BUG=375479 Committed: http://src.chromium.org/viewvc/chrome?view=rev&revision=291682

Patch Set 1 #

Patch Set 2 : Actually import time #

Patch Set 3 : Move to rietveld.py #

Total comments: 2

Patch Set 4 : Move to _send() #

Unified diffs Side-by-side diffs Delta from patch set Stats (+6 lines, -3 lines) Patch
M rietveld.py View 1 2 3 3 chunks +6 lines, -3 lines 0 comments Download

Messages

Total messages: 13 (0 generated)
hinoka
5 years, 2 months ago (2014-06-21 01:07:10 UTC) #1
M-A Ruel
I think it's too deep to do this kind of retries. We don't want it ...
5 years, 2 months ago (2014-06-21 01:40:33 UTC) #2
Ryan Tseng
Done, tested by apply_issue --issue 350433003 in depot_tools.
5 years, 2 months ago (2014-06-30 20:37:25 UTC) #3
hinoka
gengle ping
5 years, 1 month ago (2014-07-28 21:08:01 UTC) #4
hinoka
gentle*
5 years, 1 month ago (2014-07-28 21:08:07 UTC) #5
M-A Ruel
https://codereview.chromium.org/350433003/diff/40001/rietveld.py File rietveld.py (right): https://codereview.chromium.org/350433003/diff/40001/rietveld.py#newcode103 rietveld.py:103: data = json.loads(self.get(url)) It'd be more sane to add ...
5 years, 1 month ago (2014-07-28 21:11:39 UTC) #6
hinoka
Actually cleaning out lower-priority git bugs now. 1-month delay ping. https://codereview.chromium.org/350433003/diff/40001/rietveld.py File rietveld.py (right): https://codereview.chromium.org/350433003/diff/40001/rietveld.py#newcode103 ...
5 years ago (2014-08-27 13:42:47 UTC) #7
M-A Ruel
lgtm
5 years ago (2014-08-27 13:54:25 UTC) #8
Ryan Tseng
The CQ bit was checked by hinoka@google.com
5 years ago (2014-08-27 13:58:13 UTC) #9
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/hinoka@chromium.org/350433003/60001
5 years ago (2014-08-27 13:58:47 UTC) #10
commit-bot: I haz the power
Committed patchset #4 (60001) as 291682
5 years ago (2014-08-27 14:00:44 UTC) #11
robwu
What is the reason for retrying up to 40 times when Rietveld replies with 404 ...
4 years, 10 months ago (2014-10-26 09:43:47 UTC) #12
Dirk Pranke
4 years, 10 months ago (2014-10-26 15:46:28 UTC) #13
Message was sent while issue was closed.
On 2014/10/26 09:43:47, robwu wrote:
> What is the reason for retrying up to 40 times when Rietveld replies with 404
(I
> can't see the linked bug)?

I cleared the restrict-view label from the bug; there was no reason for it to be
restricted.

My guess is that the theory was that the 404 was a result of Rietveld being
flaky in a "eventually-but-not-yet-consistent" way.

Powered by Google App Engine
This is Rietveld 408576698